Skip to main content
POST
Create line

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

Path Parameters

invoiceReceivableId
string<uuid>
required

Body

application/json;charset=UTF-8
productId
string<uuid>

ID of the product

quantity
number
default:1

Quantity of the product

taxCodeId
string<uuid> | null

ID of the tax code to apply to this line

accountId
string<uuid> | null

ID of the ledger account for this line

discount
object | null

Discount to apply to this line (can be percentage or amount-based)

priceOverwrite
integer<int64> | null

Price overwrite in smallest denomination. If not provided, the product's default price will be used

productNameOverwrite
string | null

Product name overwrite. If not provided, the product's default name will be used

taxAmountOverwrite
integer<int64> | null

Tax amount override in smallest denomination. Bypasses tax calculation and sets the exact tax amount for this line.

Requirements: The line must have a valid amount (product price or priceOverwrite must be set).

The taxAmount field in the response will reflect this override value.

Amounts use smallest denomination. Examples: GBP 42.15 = 4215, JPY 12345 = 12345, BHD 7.321 = 7321.

avataxCode
string | null

Avalara tax code. Used when the invoice tax engine is AVATAX

billingStart
string<date> | null

Start of the billing period for this line

billingEnd
string<date> | null

End of the billing period for this line

accrualTemplateId
string<uuid> | null

ID of the accrual/amortization template to apply to this line

accrualStartDate
string<date> | null

Start date for accrual/amortization

accrualEndDate
string<date> | null

End date for accrual/amortization

customProperties
(object | null)[] | null

List of custom properties to set on the invoice or line

List of custom properties to set on the vendor. Replaces the existing set.

Response

default - application/json;charset=UTF-8

default response

id
string<uuid>

Unique identifier for the object

companyId
string<uuid>

ID of the company

invoiceReceivableId
string<uuid>

ID of the invoice receivable this line belongs to

productId
string<uuid>

ID of the product

quantity
number

Quantity of the product

taxCodeId
string<uuid> | null

ID of the tax code

accountId
string<uuid> | null

ID of the ledger account

discount
object | null

Discount to apply to this line (can be percentage or amount-based)

discountAmount
integer<int64> | null

Discount amount in smallest denomination

netAmount
integer<int64> | null

Net amount in smallest denomination after discount but before tax

taxAmount
integer<int64> | null

Tax amount in smallest denomination

avataxCode
string | null

Avalara tax code. Used when the invoice tax engine is AVATAX

billingStart
string<date> | null

Start of the billing period

billingEnd
string<date> | null

End of the billing period

priceOverwrite
integer<int64> | null

Custom product price in smallest denomination. This overrides the default product's price

productNameOverwrite
string | null

Custom product name. This overrides the default product's name

createdAt
string<date-time>

Timestamp when the line was created

updatedAt
string<date-time>

Timestamp when the line was last updated

accrualTemplateId
string<uuid> | null

ID of the accrual template

accrualStartDate
string<date> | null

Start date for accrual

accrualEndDate
string<date> | null

End date for accrual

customProperties
(object | null)[] | null

List of custom properties associated with the line

Custom properties set on the vendor.